> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/api-docs/geo-endpoints-for-spatial-data-access/wms-get-raster-pictures-of-spatial-data-layers/16.-satellite-image-cropped-by-field-boundary.md).

# 16. Satellite Image: cropped by Field boundary

An accurate (not pixelated) cut of the Satellite Image based on the defined Field boundary is available for various views such as `RGB, NIR, EVI2, LAI, NDVI, GNDVI, IPVI, GCI, SAVI, OSAVI, NDWI, WDRVI, NDMI, MCARI`, etc.&#x20;

Each SatelliteImage contains an `geoMaps` object housing rendering details like `url`, color codes, classes, and name. These details are found within the `field` -> `satelliteImages` -> `geoMaps` attribute. The `url` specifically is used to display maps as a WMS layer.

To illustrate, output samples for NIR and WDRVI views have been provided below.

### Near-Infrared (NIR), WDRVI, and WDRVI Contrast

![NIR](/files/Uad9OKYUnJRETOaylSxU) ![WDRVI](/files/OfLkdAwUTBp20R9nWOTc) ![WDRVI Contrast](/files/vmDVaLLzFqejKddQbYub)

The request format is [https://api.geopard.tech/geo/map/reflect?TRANSPARENT=true\&VIEWPARAMS=uuid:\<field\_uuid>\&TIME=2020-07-22T17%3A50%3A22Z\&BBOX=\<minX,minY,maxX,maxY>\&LAYERS=sentinel2\_wdrvi\_and\_field\&SRS=EPSG%3A900913\&WIDTH=512\&geopardApiKey=\<geopard\_api\_key>](https://api.geopard.tech/geo/map/reflect?TRANSPARENT=true\&VIEWPARAMS=uuid:).&#x20;

### Explanation of the URL parameters

Where the input attributes are:

1. `VIEWPARAMS=uuid:<field_uuid>` contains the `uuid` of the "Field";
2. `TIME=2020-07-22T17%3A50%3A22Z` has the data of the satellite image in the format YYYY-MM-DDThh:mm:ssZ (url encoded) and located in the "FieldSatelliteImagery" entity with `acquisitionDate` attribute;
3. `BBOX=<minX,minY,maxX,maxY>` contains the bounding box (url encoded) of the  "Field" in EPSG:3857 projection;
4. `WIDTH=512`  reflects the output image size in pixels (the precise number is important only if it is used as a thumbnail);
5. `geopardApiKey=<geopard_api_key>` is coupled to the authorization option via API Key;
6. `LAYERS=sentinel2_wdrvi_and_field` reflects the style, the provider attribute located in the "FieldSatelliteImagery" entity.

The available options for Sentinel2 (`S2`) imagery `LAYERS` are:

`sentinel2_ndvi_and_field`&#x20;

`sentinel2_evi2_and_field`&#x20;

`sentinel2_rgb_and_field`&#x20;

`sentinel2_gci_and_field`

`sentinel2_lai_and_field`&#x20;

`sentinel2_nir_and_field`&#x20;

`sentinel2_osavi_and_field`&#x20;

`Sentinel2_wdrvi_and_field`

the available options for Landsat8 (`L8, L9`) imagery `LAYERS` are:

`landsat8_ndvi_and_field`&#x20;

`landsat8_evi2_and_field`&#x20;

`landsat8_rgb_and_field`&#x20;

`landsat8_gci_and_field`

`landsat8_lai_and_field`&#x20;

`landsat8_nir_and_field`&#x20;

`landsat8_osavi_and_field`&#x20;

`landsat8_wdrvi_and_field`

the available options for Landsat4-7 (`L4, L5, L6, L7`) imagery `LAYERS` are:

`landsat4-7_ndvi_and_field`&#x20;

`landsat4-7_evi2_and_field`&#x20;

`landsat4-7_rgb_and_field`&#x20;

`Landsat4-7_gci_and_field`

`landsat4-7_lai_and_field`&#x20;

`landsat4-7_nir_and_field`&#x20;

`landsat4-7_osavi_and_field`&#x20;

`landsat4-7_wdrvi_and_field`

<br>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/api-docs/geo-endpoints-for-spatial-data-access/wms-get-raster-pictures-of-spatial-data-layers/16.-satellite-image-cropped-by-field-boundary.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
